aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2016-09-07 13:33:54 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2016-09-07 13:33:54 +0000
commit08dd96224ba3f012f507ed1c5f31c88f4a77b861 (patch)
treed8e5e27dab9a1e0a05620b26b088c2c13ff8ec9c
parentd5bc28568707865a2e4d24d733341571d003d8c1 (diff)
jetson: Support TX1
Change-Id: I770041695961fdbb34443ad8abcd86d239d39ff7
-rwxr-xr-xjetson/1-prepare-disk.sh13
-rwxr-xr-xjetson/2-config-uboot.sh11
-rwxr-xr-xjetson/3-config-system.sh11
-rw-r--r--jetson/tx1-extlinux.patch19
4 files changed, 50 insertions, 4 deletions
diff --git a/jetson/1-prepare-disk.sh b/jetson/1-prepare-disk.sh
index ee74947..bca584f 100755
--- a/jetson/1-prepare-disk.sh
+++ b/jetson/1-prepare-disk.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-set -ex
+set -e
if [ x`whoami` != x"root" ]; then
echo "ERROR: Need to run $0 as root"
@@ -10,9 +10,18 @@ fi
board="tk1"
disk=/dev/sda
fs_type=ext4
-rootfs_tar="http://people.linaro.org/~maxim.kuvyrkov/nvidia-trusty-armhf.tar.bz2"
+rootfs_tar="http://people.linaro.org/~maxim.kuvyrkov/$board/nvidia-trusty.tar.bz2"
mnt=/mnt
+OPTS="`getopt -o v -l board: -- "$@"`"
+while test $# -gt 0; do
+ case $1 in
+ --board) board="$2"; shift ;;
+ -v) set -x ;;
+ esac
+ shift
+done
+
echo "ABOUT TO PARTITION AND FORMAT $disk"
parted -s $disk mklabel gpt
diff --git a/jetson/2-config-uboot.sh b/jetson/2-config-uboot.sh
index 733aec6..655c462 100755
--- a/jetson/2-config-uboot.sh
+++ b/jetson/2-config-uboot.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-set -ex
+set -e
if [ x`whoami` != x"root" ]; then
echo "ERROR: Need to run $0 as root"
@@ -9,6 +9,15 @@ fi
board="tk1"
+OPTS="`getopt -o v -l board: -- "$@"`"
+while test $# -gt 0; do
+ case $1 in
+ --board) board="$2"; shift ;;
+ -v) set -x ;;
+ esac
+ shift
+done
+
top="$(cd $(dirname $0); pwd)"
(cd /boot/extlinux/; patch -p0 < $top/$board-extlinux.patch)
diff --git a/jetson/3-config-system.sh b/jetson/3-config-system.sh
index 9543cc0..e4a948b 100755
--- a/jetson/3-config-system.sh
+++ b/jetson/3-config-system.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-set -ex
+set -e
if [ x`whoami` != x"root" ]; then
echo "ERROR: Need to run $0 as root"
@@ -9,6 +9,15 @@ fi
board="tk1"
+OPTS="`getopt -o v -l board: -- "$@"`"
+while test $# -gt 0; do
+ case $1 in
+ --board) board="$2"; shift ;;
+ -v) set -x ;;
+ esac
+ shift
+done
+
apt-get update
apt-get install -y tasksel network-manager
apt-get purge -y openssh-server
diff --git a/jetson/tx1-extlinux.patch b/jetson/tx1-extlinux.patch
new file mode 100644
index 0000000..e9aaa26
--- /dev/null
+++ b/jetson/tx1-extlinux.patch
@@ -0,0 +1,19 @@
+--- extlinux.conf 2016-09-07 13:28:48.691555527 +0000
++++ tx1-extlinux.conf 2016-09-07 13:28:40.263375342 +0000
+@@ -1,5 +1,5 @@
+ TIMEOUT 30
+-DEFAULT primary
++DEFAULT sda1
+
+ MENU TITLE p2371-2180 eMMC boot options
+
+@@ -8,3 +8,9 @@ LABEL primary
+ LINUX /boot/Image
+ FDT /boot/tegra210-jetson-tx1-p2597-2180-a01-devkit.dtb
+ APPEND fbcon=map:0 console=tty0 console=ttyS0,115200n8 androidboot.modem=none androidboot.serialno=P2180A00P00940c003fd androidboot.security=non-secure tegraid=21.1.2.0.0 ddr_die=2048M@2048M ddr_die=2048M@4096M section=256M memtype=0 vpr_resize usb_port_owner_info=0 lane_owner_info=0 emc_max_dvfs=0 touch_id=0@63 video=tegrafb no_console_suspend=1 debug_uartport=lsport,0 earlyprintk=uart8250-32bit,0x70006000 maxcpus=4 usbcore.old_scheme_first=1 lp0_vec=${lp0_vec} nvdumper_reserved=${nvdumper_reserved} core_edp_mv=1125 core_edp_ma=4000 gpt android.kerneltype=normal androidboot.touch_vendor_id=0 androidboot.touch_panel_id=63 androidboot.touch_feature=0 androidboot.bootreason=pmc:software_reset,pmic:0x0 root=/dev/mmcblk0p1 rw rootwait
++
++LABEL primary
++ MENU LABEL NVidia 3.10 kernel Ubuntu Trusty SDA1
++ LINUX /boot/Image
++ FDT /boot/tegra210-jetson-tx1-p2597-2180-a01-devkit.dtb
++ APPEND fbcon=map:0 console=tty0 console=ttyS0,115200n8 androidboot.modem=none androidboot.serialno=P2180A00P00940c003fd androidboot.security=non-secure tegraid=21.1.2.0.0 ddr_die=2048M@2048M ddr_die=2048M@4096M section=256M memtype=0 vpr_resize usb_port_owner_info=0 lane_owner_info=0 emc_max_dvfs=0 touch_id=0@63 video=tegrafb no_console_suspend=1 debug_uartport=lsport,0 earlyprintk=uart8250-32bit,0x70006000 maxcpus=4 usbcore.old_scheme_first=1 lp0_vec=${lp0_vec} nvdumper_reserved=${nvdumper_reserved} core_edp_mv=1125 core_edp_ma=4000 gpt android.kerneltype=normal androidboot.touch_vendor_id=0 androidboot.touch_panel_id=63 androidboot.touch_feature=0 androidboot.bootreason=pmc:software_reset,pmic:0x0 root=/dev/sda1 rw rootwait